<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::assignable_row_matrix&lt; T, NR, NC, mm, l &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classdlib_1_1assignable__row__matrix-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::assignable_row_matrix&lt; T, NR, NC, mm, l &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:adf9cb742d677b0aebce1a01a65b964fc"><td class="memItemLeft" align="right" valign="top"><a id="adf9cb742d677b0aebce1a01a65b964fc"></a>
typedef T&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:adf9cb742d677b0aebce1a01a65b964fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1c36e5e353a39f717dac57520c12e1c"><td class="memItemLeft" align="right" valign="top"><a id="ad1c36e5e353a39f717dac57520c12e1c"></a>
typedef l&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:ad1c36e5e353a39f717dac57520c12e1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeceee097f6616c01b3a518acaf7e82c"><td class="memItemLeft" align="right" valign="top"><a id="aeeceee097f6616c01b3a518acaf7e82c"></a>
typedef <a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>matrix_type</b></td></tr>
<tr class="separator:aeeceee097f6616c01b3a518acaf7e82c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a45542212426c0888d04e9f08bc4d35f8"><td class="memItemLeft" align="right" valign="top"><a id="a45542212426c0888d04e9f08bc4d35f8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>assignable_row_matrix</b> (<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt; &amp;m_, const long row_)</td></tr>
<tr class="separator:a45542212426c0888d04e9f08bc4d35f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d0eb724d73239abc6286f50894160d6"><td class="memItemLeft" align="right" valign="top"><a id="a8d0eb724d73239abc6286f50894160d6"></a>
T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long, long c)</td></tr>
<tr class="separator:a8d0eb724d73239abc6286f50894160d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add3a520581ee1863eb9d3d1351d7fe84"><td class="memItemLeft" align="right" valign="top"><a id="add3a520581ee1863eb9d3d1351d7fe84"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator()</b> (long, long c) const</td></tr>
<tr class="separator:add3a520581ee1863eb9d3d1351d7fe84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2503ad96f089afefcbbd7d82fec3a73"><td class="memItemLeft" align="right" valign="top"><a id="ad2503ad96f089afefcbbd7d82fec3a73"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:ad2503ad96f089afefcbbd7d82fec3a73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc382c2f43b794c182aeccc39d4038c2"><td class="memItemLeft" align="right" valign="top"><a id="adc382c2f43b794c182aeccc39d4038c2"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:adc382c2f43b794c182aeccc39d4038c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fbfa15a6c309257a6753b7dc61a1d52"><td class="memTemplParams" colspan="2"><a id="a8fbfa15a6c309257a6753b7dc61a1d52"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:a8fbfa15a6c309257a6753b7dc61a1d52"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:a8fbfa15a6c309257a6753b7dc61a1d52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae401bd788e0c7445149f8920b2a2d0"><td class="memTemplParams" colspan="2"><a id="acae401bd788e0c7445149f8920b2a2d0"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:acae401bd788e0c7445149f8920b2a2d0"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator+=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:acae401bd788e0c7445149f8920b2a2d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae145c5c1ae1c6500eac8d204077b2fcf"><td class="memTemplParams" colspan="2"><a id="ae145c5c1ae1c6500eac8d204077b2fcf"></a>
template&lt;typename EXP &gt; </td></tr>
<tr class="memitem:ae145c5c1ae1c6500eac8d204077b2fcf"><td class="memTemplItemLeft" align="right" valign="top"><a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>operator-=</b> (const <a class="el" href="classdlib_1_1matrix__exp.html">matrix_exp</a>&lt; EXP &gt; &amp;exp)</td></tr>
<tr class="separator:ae145c5c1ae1c6500eac8d204077b2fcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd6914402b6f2af79ebbea32e29baa85"><td class="memItemLeft" align="right" valign="top"><a id="abd6914402b6f2af79ebbea32e29baa85"></a>
<a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const T &amp;value)</td></tr>
<tr class="separator:abd6914402b6f2af79ebbea32e29baa85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add67ac82ff14ec3176fe3a438a0d30b7"><td class="memItemLeft" align="right" valign="top"><a id="add67ac82ff14ec3176fe3a438a0d30b7"></a>
<a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator+=</b> (const T &amp;value)</td></tr>
<tr class="separator:add67ac82ff14ec3176fe3a438a0d30b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0f6355c1b82758d1921b55c5528bd72"><td class="memItemLeft" align="right" valign="top"><a id="ae0f6355c1b82758d1921b55c5528bd72"></a>
<a class="el" href="classdlib_1_1assignable__row__matrix.html">assignable_row_matrix</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator-=</b> (const T &amp;value)</td></tr>
<tr class="separator:ae0f6355c1b82758d1921b55c5528bd72"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a36babac1bff83ee3e3a7332c960466c3"><td class="memItemLeft" align="right" valign="top"><a id="a36babac1bff83ee3e3a7332c960466c3"></a>
<a class="el" href="classdlib_1_1matrix.html">matrix</a>&lt; T, NR, NC, mm, l &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>m</b></td></tr>
<tr class="separator:a36babac1bff83ee3e3a7332c960466c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee0e3bef7005ad70c8284c344029d77"><td class="memItemLeft" align="right" valign="top"><a id="aaee0e3bef7005ad70c8284c344029d77"></a>
const long&#160;</td><td class="memItemRight" valign="bottom"><b>row</b></td></tr>
<tr class="separator:aaee0e3bef7005ad70c8284c344029d77"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="matrix__subexp_8h_source.html">matrix_subexp.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
